PHPeerTube - A PHP‑based federated video platform, inspired by PeerTube.

Copyright (C) 2025 Lucentinian Works Co Ltd

API example

curl -i -H "Accept: application/jrd+json" "http://phpeertube.ehehdada.com/.well-known/webfinger?resource=acct:testuser@phpeertube.ehehdada.com"

Example successful response:

HTTP/1.1 200 OK
Content-Type: application/jrd+json

{
    "subject": "acct:testuser@phpeertube.ehehdada.com",
    "aliases": [
        "http://phpeertube.ehehdada.com/accounts/testuser",
        "http://phpeertube.ehehdada.com/@testuser"
    ],
    "links": [
        {
            "rel": "self",
            "type": "application/activity+json",
            "href": "http://phpeertube.ehehdada.com/accounts/testuser"
        },
        {
            "rel": "http://webfinger.net/rel/profile-page",
            "type": "text/html",
            "href": "http://phpeertube.ehehdada.com/@testuser"
        }
    ]
}